#include"TcPch.h"
#pragma hdrstop
#include"CRemoteLog.h"
void strcpy_debug(char* target, const char* source, int length, const char* file, int line) {
    int sid = 0;
    while (source[sid] != '\0') {
        if (sid >= length - 1) {
            logger->error("Strcpy overflow[%d][%s]:%s,%d", length, source,file, line);
            break;
        }
        target[sid] = source[sid];
        sid++;
    }
    target[sid] = '\0';
}